Recurring Schedule Old

Cancel a recurring payment schedule

post
Header parameters
SessKeystringRequired

A unique session key used for authentication in API calls. This key is generated upon successful authentication and must be included in all subsequent requests.

Example: A1842D663E9A4A72XXXXXXXX303541303234373138
Content-TypestringRequiredExample: application/json
AcceptstringRequiredExample: application/json
Body
SchedIDintegerOptional

The unique identifier for the schedule to be canceled

Example: 10
Responses
chevron-right
200

Successfully canceled the recurring schedule

application/json
post
/APIcardProcREST/v1.0.0/RecurringSchedule/Cancel
200

Successfully canceled the recurring schedule

Modify a recurring payment schedule

post
Header parameters
SessKeystringRequired

A unique session key used for authentication in API calls. This key is generated upon successful authentication and must be included in all subsequent requests.

Example: A1842D663E9A4A72XXXXXXXX303541303234373138
Content-TypestringRequiredExample: application/json
AcceptstringRequiredExample: application/json
Body
SchedIDintegerOptional

The unique identifier for the schedule to be modified

Example: 10
PaymentAmountnumber · floatOptional

The new $ payment amount for the schedule

Example: 10
DueDatestring · dateOptional

The new due date for the schedule

Example: 2023-07-10T00:00:00.000Z
Responses
chevron-right
200

Successfully modified the recurring schedule

application/json
post
/APIcardProcREST/v1.0.0/RecurringSchedule/Modify
200

Successfully modified the recurring schedule

Process scheduled payments

post
Header parameters
SessKeystringRequired

A unique session key used for authentication in API calls. This key is generated upon successful authentication and must be included in all subsequent requests.

Example: A1842D663E9A4A72XXXXXXXX303541303234373138
Content-TypestringRequiredExample: application/json
AcceptstringRequiredExample: application/json
Body
MerchIDintegerOptional

The merchant identifier for processing payments

Example: 1
Responses
chevron-right
200

Successfully processed scheduled payments

application/json
post
/APIcardProcREST/v1.0.0/RecurringSchedule/ProcessScheduledPayments
200

Successfully processed scheduled payments

Process selected scheduled payments

post
Header parameters
SessKeystringRequired

A unique session key used for authentication in API calls. This key is generated upon successful authentication and must be included in all subsequent requests.

Example: A1842D663E9A4A72XXXXXXXX303541303234373138
Content-TypestringRequiredExample: application/json
AcceptstringRequiredExample: application/json
Body
SchedIDsinteger[]Optional

The list of schedule IDs to process

Example: [172]
Responses
chevron-right
200

Successfully processed selected scheduled payments

application/json
post
/APIcardProcREST/v1.0.0/RecurringSchedule/ProcessScheduledPaymentsSelective
200

Successfully processed selected scheduled payments

Last updated

Was this helpful?